Manual

Main Graph Editor Options

# Command-Line Options of the Graph Editor

The following command-line options can be used when starting the graph editor application:

- -client <hostname>:<port>
  To start the graph editor as a TCP/IP socket client and connect it to an already running uDraw(Graph) process on host <hostname> and port <port>. Make sure that uDraw(Graph) has been started as a TCP/IP socket server using option -server on the same host and port. Also make sure that your operating system or firewall is configured to allow communication on this socket port. Both parameters can be omitted to use the following defaults (2542 is the standard socket port exclusively registered for uDraw(Graph)):
  - "-client" means localhost:2542
  - "-client <hostname>" means <hostname>:2542
  - "-client :<port> means localhost:<port>
- -display <X11-display>
  (This option is not available on the Windows® platform.) Same as in uDraw(Graph). To send the graphical output (i.e. the dialog windows of the graph editor) to the specified X11TM display, for example to start the graph editor on one computer and redirect the user interface to be displayed on another computer. X11TM displays are specified in a format like "<hostname>:<display>.0".
- -font { normal | large | extra_large }
  Same as in uDraw(Graph). To set the fonts in the dialog windows of the graph editor to a larger size. Fonts larger than the default value "normal" are very useful for demonstrations when people should read the text of menus, dialog windows etc. from the distance.
- -naming_scheme
  To predefine the string value used in the naming scheme dialog window of the graph editor. If not set, the default is "#%NamingDlg.Node #", where "#%NamingDlg.Node" is a language key from the graph editor language translation file. Refer to internationalization for details.
- -nogui
  Start the graph editor to reconfigure the uDraw(Graph) user interface in order to add some extra menus, see section about starting the graph editor. Note: communication fails if you start uDraw(Graph) with option "-nogui" and the graph editor without, or vice versa.
- -help
  Same as in uDraw(Graph). Displays a help message to inform about the command-line syntax and exits immediately.